mchar_map_charset(3m17n)

NAME
mchar_map_charset - Call a function for all the characters in a specified charset.

SYNOPSIS
int mchar_map_charset (MSymbol charset_name, void(*)(int from, int to, void *arg) func, void * func_arg)

DESCRIPTION
Call a function for all the characters in a specified charset.

The mcharset_map_chars() function calls func for all the characters in the charset named charset_name. A call is done for a chunk of consecutive characters rather than character by character.

func receives three arguments: from, to, and arg. from and to specify the range of character codes in charset. arg is the same as func_arg.

RETURN VALUE

    If the operation was successful, mcharset_map_chars() returns 0. Otherwise, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_CHARSET

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.